# $Revision: 1.37 $, $Date: 2009/02/07 16:56:30 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)
#
%define		pname	atl2
%define		rel	16
Summary:	Attansic(R) L2 Fast Ethernet Adapter driver for Linux
Summary(pl.UTF-8):	Sterownik do kart Attansic(R) L2 Fast Ethernet Adapter
Name:		%{pname}%{_alt_kernel}
Version:	2.0.5
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://people.redhat.com/csnook/atl2/atl2-%{version}.tar.bz2
# Source0-md5:	bbd5696cb6c7c6432d7338d783c408f2
URL:		http://www.attansic.com/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
This package contains the Linux driver for the Attansic(R) L2 Fast
Ethernet Adapter.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
Attansic(R) L2 Fast Ethernet Adapter.

%package -n kernel%{_alt_kernel}-net-atl2
Summary:	Attansic(R) L2 Fast Ethernet Adapter driver for Linux
Summary(pl.UTF-8):	Sterownik do kart Attansic(R) L2 Fast Ethernet Adapter
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(atl2)

%description -n kernel%{_alt_kernel}-net-atl2
This package contains the Linux driver for the Attansic(R) L2 Fast
Ethernet Adapter.

%description -n kernel%{_alt_kernel}-net-atl2 -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
Attansic(R) L2 Fast Ethernet Adapter.

%prep
%setup -q -n %{pname}-%{version}

%build
%build_kernel_modules -m atl2 EXTRA_CFLAGS="-DDBG=0"

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m atl2 -d kernel/drivers/net

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-atl2
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-atl2
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-atl2
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atl2.spec,v $
Revision 1.37  2009/02/07 16:56:30  arekm
- release 16

Revision 1.36  2009/01/25 12:55:17  arekm
- release 15

Revision 1.35  2009/01/19 12:29:57  arekm
- release 14

Revision 1.34  2009/01/15 12:53:46  arekm
- release 13

Revision 1.33  2009/01/10 22:37:12  arekm
- release 12

Revision 1.32  2008/12/19 06:30:34  arekm
- release 11

Revision 1.31  2008/12/14 11:42:23  arekm
- release 10

Revision 1.30  2008/12/06 08:59:40  arekm
- release 9

Revision 1.29  2008/11/21 16:15:13  arekm
- release 8

Revision 1.28  2008/11/15 11:28:40  hawk
- release 7

Revision 1.27  2008/11/08 09:26:46  arekm
- release 6

Revision 1.26  2008/11/04 07:41:30  arekm
- release 5

Revision 1.25  2008/10/25 13:46:59  hawk
- release 4

Revision 1.24  2008/10/09 13:27:53  hawk
- release 3

Revision 1.23  2008/09/09 08:59:16  hawk
- release 2

Revision 1.22  2008/09/03 09:44:01  hawk
- updated to 2.0.5

Revision 1.21  2008/08/06 20:19:34  hawk
- release 12

Revision 1.20  2008/08/04 20:21:30  hawk
- release 11

Revision 1.19  2008/07/29 10:32:19  hawk
- release 10

Revision 1.18  2008/07/28 08:31:44  hawk
- release 9

Revision 1.17  2008/07/22 15:03:46  hawk
- release 8

Revision 1.16  2008/06/25 16:07:48  hawk
- release 7

Revision 1.15  2008/06/23 19:15:10  hawk
- release 6

Revision 1.14  2008/06/08 16:43:33  hawk
- release 5

Revision 1.13  2008-05-24 10:08:01  hawk
- release 4

Revision 1.12  2008-05-05 16:09:11  hawk
- release 3

Revision 1.11  2008-03-28 08:15:04  hawk
- release 2

Revision 1.10  2008-03-02 18:55:21  hawk
- suffix src package with alt kernel name (if present)
- moved driver to kernel-net-atl2 subpackage (changes merged from e1000.spec)

Revision 1.9  2008-02-22 13:08:16  hawk
- updated to 2.0.4, works

Revision 1.8  2007-08-26 22:24:25  shadzik
- cosmetics

Revision 1.7  2007/08/24 21:08:53  zbyniu
- proper patch0 (and it's for >= 2.6.21, not .19)

Revision 1.6  2007/08/24 08:02:55  cactus
- disable compilation errors for kernel > 2.6.19

Revision 1.5  2007/07/15 22:25:58  shadzik
- kill useless P and O
- simpler Makefile

Revision 1.4  2007/07/15 21:54:54  paszczus
- adaptarized

Revision 1.3  2007/07/15 21:53:01  cactus
- dont add current to name of kernel module

Revision 1.2  2007/07/15 19:11:34  qboosh
- cleanup, working URL

Revision 1.1  2007/07/13 22:23:32  cactus
- Initial Release
